Recibo el siguiente mensaje de advertencia en el Xcode de la consola mientras se ejecuta (no compilar) mi aplicación desde la actualización a la Alta Sierra en mi MacBook:

objc[26299]: Clase FIFinderSyncExtensionHost se aplica en
/System/Library/PrivateFrameworks/FinderKit.framework/Versions/A/FinderKit
(0x7fff88339a70) y
/System/Library/PrivateFrameworks/FileProvider.framework/OverrideBundles/FinderSyncCollaborationFileProvideroverride.bundle/Contents/MacOS/FinderSyncCollaborationFileProvideroverride
(0x10cae0cd8). Uno de los dos va a ser utilizado. Que uno no está definido.

Me encontré con el de alguien más llegar este mensaje de advertencia en la Github, y alguien que es conseguir que cuando se trabaja con Java: Excepción de Java desde Mac OS Sierra Alta

Para mí, el problema se comporta exactamente como se describe en la discusión en Github. No parece producir ningún problemas funcionales conectado directamente. En mi caso me gustaría deshacerse de todas las advertencias, porque aunque estoy experimentando problemas con mi aplicación desde que he actualizado a la Sierra Alta.

Espero que alguien ha encontrado una manera de hacer frente a esta advertencia por ahora.

OriginalEl autor Jan Kaiser | 2017-10-29

1 Comentario

  1. 19

    No hay nada que usted puede hacer acerca de esto. Es una Manzana problema, pero probablemente inofensivo.

    Nota: no estoy seguro de lo que otros descripción podría ser dado de lo que la advertencia dice. Sólo significa que la misma clase se define en dos módulos. Con Apple cosas, a menudo son idénticos, así que no importa que la copia se utiliza.

    Algunos explicación sería agradable.
    No estoy seguro de lo que otros descripción podría ser dado de lo que la advertencia dice. Sólo significa que la misma clase se define en dos módulos. Con Apple cosas, a menudo son idénticos, así que no importa que la copia se utiliza.
    Tal vez podemos entender que .h o archivos vinculados de bibliotecas de la causa de la advertencia y eliminarlos si no se los usa? Sería una solución adecuada. O te refieres a que ambas implementaciones se incluyen juntos y el problema no puede ser resuelto de una forma sencilla?
    Sólo un heads-up: el problema persiste en 10.13, Xcode 10, Swift 4.2.
    hay algo que podemos hacer de decirle a la aplicación que desea utilizar (como la advertencia dice). como en otros idiomas import Class from Module as A

    OriginalEl autor Wevah

Dejar respuesta

Please enter your comment!
Please enter your name here